## ros-noetic-velodyne-driver 1.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(velodyne_driver)

# Set minimum C++ standard to C++11
if (NOT "${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "98")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_STANDARD 11)
endif()

set(${PROJECT_NAME}_CATKIN_DEPS 
    diagnostic_updater
    dynamic_reconfigure
    nodelet
    roscpp
    tf
    velodyne_msgs)

find_package(catkin REQUIRED COMPONENTS ${${PROJECT_NAME}_CATKIN_DEPS} roslint)

# This driver uses Boost threads
find_package(Boost REQUIRED COMPONENTS thread)

# libpcap provides no pkg-config or find_package module:
set(libpcap_LIBRARIES -lpcap)

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

# Generate dynamic_reconfigure server
generate_dynamic_reconfigure_options(cfg/VelodyneNode.cfg)

# objects needed by other ROS packages that depend on this one
catkin_package(CATKIN_DEPENDS ${${PROJECT_NAME}_CATKIN_DEPS}
               INCLUDE_DIRS include
               LIBRARIES velodyne_input)

# compile the driver and input library
add_subdirectory(src/lib)
add_subdirectory(src/driver)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
install(FILES nodelet_velodyne.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY launch/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)
install(PROGRAMS src/vdump
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

roslint_cpp()

if (CATKIN_ENABLE_TESTING)

  # these dependencies are only needed for unit testing
  find_package(roslaunch REQUIRED)
  find_package(rostest REQUIRED)

  # Download packet capture (PCAP) files containing test data.
  # Store them in devel-space, so rostest can easily find them.
  catkin_download_test_data(
    ${PROJECT_NAME}_tests_class.pcap
    http://download.ros.org/data/velodyne/class.pcap
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/tests
    MD5 65808d25772101358a3719b451b3d015)
  catkin_download_test_data(
    ${PROJECT_NAME}_tests_32e.pcap
    http://download.ros.org/data/velodyne/32e.pcap
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/tests
    MD5 e41d02aac34f0967c03a5597e1d554a9)
  catkin_download_test_data(
    ${PROJECT_NAME}_tests_vlp16.pcap
    http://download.ros.org/data/velodyne/vlp16.pcap
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/tests
    MD5 f45c2bb1d7ee358274e423ea3b66fd73)
  
  # unit tests
  add_rostest(tests/pcap_node_hertz.test)
  add_rostest(tests/pcap_nodelet_hertz.test)
  add_rostest(tests/pcap_32e_node_hertz.test)
  add_rostest(tests/pcap_32e_nodelet_hertz.test)
  add_rostest(tests/pcap_vlp16_node_hertz.test)
  add_rostest(tests/pcap_vlp16_nodelet_hertz.test)
  
  # parse check all the launch/*.launch files
  roslaunch_add_file_check(launch)

  # unit test
  catkin_add_gtest(time_test tests/timeconversiontest.cpp)
  target_link_libraries(time_test
    ${catkin_LIBRARIES}
    ${Boost_LIBRARIES})
endif (CATKIN_ENABLE_TESTING)

=== debian/changelog ===
ros-noetic-velodyne-driver (1.7.0-1focal) focal; urgency=high

  * Fix non-responsive node on packet timeout (#466 <https://github.com/ros-drivers/velodyne/issues/466>)
    * No abort on packet timeout
    Changed getPacket() to return 0 on timeout and 1 on success.
    * Removed trailing whitespace
  * reuse Velodyne UDP port (#427 <https://github.com/ros-drivers/velodyne/issues/427>)
  * add missing include to pcap.h that prevents tests from being built (#406 <https://github.com/ros-drivers/velodyne/issues/406>)
  * PCAP timestamps & PCAP+GPS timestamps (#384 <https://github.com/ros-drivers/velodyne/issues/384>)
    * Add pcap_time param and implement gps_time with it
    * If gps_time == true, ignore pcap_time
  * Add support for the velodyne Alpha Prime (#370 <https://github.com/ros-drivers/velodyne/issues/370>)
    * Add support for the velodyne Alpha Prime
    * Change packet rate for the VLS128 according to the times specified in the manual
    * Organize setup functions to avoid code duplication. Add a constant for the model ID of the VLS128.
    * Use the defined constants to calculate the time offset of the points for the VLS128
    Co-authored-by: jugo <mailto:juan.gonzalez@unibw.de>
  * Contributors: HMellor, Institute for Autonomous Systems Technology, JKaniarz, Nagy Dániel Zoltán, Sebastian Scherer

 -- Josh Whitley <josh.whitley@autoware.org>  Fri, 08 Jul 2022 05:00:00 -0000

ros-noetic-velodyne-driver (1.6.1-1focal) focal; urgency=high



 -- Josh Whitley <josh.whitley@autoware.org>  Mon, 09 Nov 2020 06:00:00 -0000

ros-noetic-velodyne-driver (1.6.0-1focal) focal; urgency=high

  * Unify tf frame parameters between transform and cloud nodes (#344 <https://github.com/ros-drivers/velodyne/issues/344>)
    * Unify tf frame parameters between transform and cloud nodes
    * Use more common ROS terminology instead of 'htm'
    * Just use tf listener when necessary
    * Migrate package to tf2
    * Explicitly store sensor frame in a dedicated variable to make code easier to read
    * Avoid unnecessary transforms when sensor_frame == target_frame
    Co-authored-by: anre <mailto:andreas.reich@unibw.de>
  * Updating maintainer email address.
  * when device poll timeouts, do not stop node
  * use correct node handles and node names for diagnostic_updater::Updater
  * Added config option to timestamp a full scan based on first velo packet instead of last packet
  * Merge pull request #214 <https://github.com/ros-drivers/velodyne/issues/214> from spuetz/feature/opc_nopcl
    Container cleanup and organized pointclouds
  * Merge pull request #243 <https://github.com/ros-drivers/velodyne/issues/243> from dandedrick/reconfig-enable
    driver: add enabled reconfigure param
  * Merge pull request #234 <https://github.com/ros-drivers/velodyne/issues/234> from kmhallen/c++11
    Set minimum C++ standard to C++11
  * Merge pull request #222 <https://github.com/ros-drivers/velodyne/issues/222> from mpitropov/feat_Use_GPS_time
    Add flag to enable using GPS time from within the Velodyne packet instead of ROS time for scan.
  * Merge pull request #220 <https://github.com/ros-drivers/velodyne/issues/220> from nbussas/static
    Transform static variable into member
  * Merge pull request #216 <https://github.com/ros-drivers/velodyne/issues/216> from ros-drivers/maint/poll_timeout_handling
    Testing reporting error instead of stopping node on disconnect.
  * fixed in range min max, and cleaned up the initialization
  * Contributors: AndreasR30, Dan Dedrick, Daniel Seifert, Joshua Whitley, Kevin Hallenbeck, Matthew Pitropov, Nils Hauke Bussas, Sebastian, Sebastian Pütz, Shawn Hanna

 -- Josh Whitley <josh.whitley@autoware.org>  Thu, 09 Jul 2020 05:00:00 -0000

ros-noetic-velodyne-driver (1.5.2-1focal) focal; urgency=high

  * Merge pull request #212 <https://github.com/ros-drivers/velodyne/issues/212> from ros-drivers/maint/vdump_as_root
    Modifying vdump script for use as root.
    Tested by @andersfischernielsen.
  * Merge pull request #205 <https://github.com/ros-drivers/velodyne/issues/205> from xiesc/master
    support for 64E-S3
  * Contributors: Joshua Whitley, Shichao XIE, xiesc

 -- Josh Whitley <josh.whitley@autoware.org>  Mon, 28 Jan 2019 06:00:00 -0000

ros-noetic-velodyne-driver (1.5.1-1focal) focal; urgency=high



 -- Josh Whitley <josh.whitley@autoware.org>  Mon, 10 Dec 2018 06:00:00 -0000

ros-noetic-velodyne-driver (1.5.0-1focal) focal; urgency=high

  * Merge pull request #187 <https://github.com/ros-drivers/velodyne/issues/187> from moooeeeep/master
    Fixed sign error in return value of InputSocket::getPacket()
  * bugfix: getPacket() function is expected to return negative value on error
  * Contributors: Fabian Maas, Joshua Whitley

 -- Josh Whitley <josh.whitley@autoware.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-noetic-velodyne-driver (1.4.0-1focal) focal; urgency=high

  * Merge pull request #178 <https://github.com/ros-drivers/velodyne/issues/178> from sts-thm/bugfix_issue_`#174 <https://github.com/ros-drivers/velodyne/issues/174>`_
    Bugfix issue #174 <https://github.com/ros-drivers/velodyne/issues/174>
  * Removed debug outputs
  * Changes fixing deadlock for specific cut_angle values.
  * Merge pull request #135 <https://github.com/ros-drivers/velodyne/issues/135> from cfneuhaus/bugfix
    Bugfix: when no device ip is set, we still want to filter by udp port.
  * Merge pull request #170 <https://github.com/ros-drivers/velodyne/issues/170> from ros-drivers/maint/move_header_files
    Moving header files to traditional location inside include folders.
  * Merge pull request #160 <https://github.com/ros-drivers/velodyne/issues/160> from ros-drivers/maint/updating_package_xml_to_v2
  * Updated all package.xmls to ver 2. Cleaned up catkin_lint errors.
    All package.xml files are now compatible with version 2 of the
    package.xml specification in REP 140. Removed some unnecessary
    execute permissions on a few files. Fixed a missing test_depend.


=== debian/control ===
Source: ros-noetic-velodyne-driver
Section: misc
Priority: optional
Maintainer: Josh Whitley <josh.whitley@autoware.org>
Build-Depends: debhelper (>= 9.0.0), libpcap0.8-dev, ros-noetic-catkin, ros-noetic-diagnostic-updater, ros-noetic-dynamic-reconfigure, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-roslaunch <!nocheck>, ros-noetic-roslint, ros-noetic-rostest <!nocheck>, ros-noetic-tf, ros-noetic-velodyne-msgs
Homepage: http://www.ros.org/wiki/velodyne_driver
Standards-Version: 3.9.2

Package: ros-noetic-velodyne-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcap0.8-dev, ros-noetic-diagnostic-updater, ros-noetic-dynamic-reconfigure, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-tf, ros-noetic-velodyne-msgs
Description: ROS device driver for Velodyne 3D LIDARs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-velodyne-driver//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
